# Git scmInstances Create a new instance of Git SCM. url* - Enter one repository URL and branch/ tag/ commit ID in individual fields or one or more repository URLs separated by comma. You can include a branch, tag, or commit ID notation as part of the URL. userName/password - userName/password for authenticated access to the repository. Leave blank for anonymous or SSH access. branch/commitId/tag - branch, tag or commit ID. Specify one of these values. Or leave blank to sync to the master branch. These three fields will be considered only when single URL is provided without branch/ tag/ commit ID properties in the URL. expansionLevel - (Optional, Integer, default: 1, values: 1/2/3) Control archive extraction depth: 1=None (no extraction), 2=Top-level archives only, 3=Recursive (nested archives). deleteArchiveAfterExpand - (Optional, Boolean, default: false) Delete archive files after extraction to save disk space. Note: This field is only applicable when expansionLevel is 2 or 3. archiveDirSuffix - (Optional, String, max: 20 chars) Suffix to be added to the expanded folder. Value cannot be more than 20 characters and cannot contain the following special characters: \ / : * ? " | \0 (Example: _Expanded). Note: This field is only applicable when expansionLevel is 2 or 3. Endpoint: POST /scmInstances/Git Version: v1 Security: bearerAuth ## Query parameters: - `projectId` (integer, required) ID of the project Example: 1 ## Request fields (application/json): - `url` (string, required) url Example: "E.g. https://host.xz/path/to/repo.git or https://host.xz/path/to/repo.git~~branch1 or user@host:path/repo.git>>cmID123 or https://host.xz/path/to/repo.git^^tag1.1 or https://host.xz/path/to/repo.git~~branch1**FolderA or user@host:path/repo.git>>cmID123**FolderB or https://host.xz/path/to/repo.git^^tag1.1**FolderC or https://host.xz/path/to/repo.git**FolderD" - `userName` (string) userName Example: "abc" - `password` (string) password Example: "abc" - `branch` (string) branch Example: "master" - `commitId` (string) commitId - `tag` (string) tag - `deleteArchiveAfterExpand` (boolean) deleteArchiveAfterExpand Example: true - `expansionLevel` (integer) expansionLevel Enum: 1, 2, 3 - `archiveDirSuffix` (string) archiveDirSuffix Example: "_Expanded" ## Response 201 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields